DNF5-SEARCH(8)

NUME
dnf5-search - comanda «search»

SINOPSIS

dnf5 search [opțiuni] <model>...

DESCRIERE

Comanda search din DNF5 este utilizată pentru căutarea pachetelor prin compararea cuvintelor cheie date de utilizator cu diverse metadate.

În mod implicit, comanda caută toate cheile solicitate (operația „AND” logic (ȘI)) în câmpurile Name sau Summary din metadatele pachetului RPM. Utilizatorii pot limita căutarea la câmpuri specifice folosind opțiunile --name sau --summary. Potrivirea este insensibilă la majuscule și sunt acceptate caractere joker.

OPȚIUNI

    --all
        Modele de căutare de asemenea în interiorul câmpurilor Description și URL.
        Prin aplicarea acestei opțiuni, căutarea listează pachetele care corespund cel puțin uneia dintre chei (operația „OR” logic (SAU)).
        Nu poate fi utilizată cu --name sau --summary.

    --name
        Limitează căutarea numai la câmpul Name.
        Nu poate fi utilizată cu --all sau --summary.

    --summary
        Limitează căutarea numai la câmpul Summary.
        Nu poate fi utilizată cu --all sau --name.

    --showduplicates
        Afișează toate versiunile pachetelor, nu doar pe cele mai recente.

EXEMPLE

    dnf5 search kernel
        Caută cuvântul-cheie kernel în câmpurile de metadate ale pachetelor Name sau Summary.

    dnf5 search rpm dbus
        Caută pachete care au atât cuvintele-cheie rpm, cât și dbus în câmpurile Name sau Summary.

    dnf5 search --all fedora gnome kde
        Caută pachete care au oricare dintre cuvintele cheie date în câmpurile Name, Summary, Description sau URL.

    dnf5 search --name firefox
        Caută cuvântul cheie firefox numai în câmpul Name al pachetelor.

    dnf5 search --summary browser
        Caută cuvântul cheie browser numai în câmpul Summary al pachetelor.

CONSULTAȚI ȘI
        dnf5-specs(7), Specificația modelelor <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.